% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/predict_light.R
\name{predict_light}
\alias{predict_light}
\title{Lightweight Prediction Using External Coefficients}
\usage{
predict_light(data, fm = NULL, adjusters = NULL, coefs)
}
\arguments{
\item{data}{A data frame containing the dataset.}

\item{fm}{An optional formula specifying the model. Defaults to `NULL`.}

\item{adjusters}{A character vector of variable names to be used as adjusters in the model. Defaults to `NULL`.}

\item{coefs}{A numeric vector of coefficients for the model.}
}
\value{
A numeric vector of predicted values.
}
\description{
This function performs predictions using a linear model approach with provided coefficients.
}
\details{
The function constructs a model matrix using the specified adjusters and applies the provided coefficients to generate predictions. If any coefficients are missing, they are set to zero with a warning.
}
\examples{
\dontrun{
predict_light(data = my_data, adjusters = c("var1", "var2"), coefs = c(-1, 0.5, 1.2))
}

}
