% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/prep_for_adj.R
\name{prep_for_adj}
\alias{prep_for_adj}
\title{Prepare Data for Adjustment}
\usage{
prep_for_adj(data, item, group, id, weight = NULL, exclude = TRUE)
}
\arguments{
\item{data}{A data frame containing the dataset.}

\item{item}{A string or vector of strings representing the item variable(s) to be prepared.}

\item{group}{A string representing the name of the unit/grouping variable.}

\item{id}{A string representing the name of the individual-level ID variable.}

\item{weight}{A string representing the name of the weight variable, if weighting is used. Defaults to `NULL`.}

\item{exclude}{A logical value indicating whether to exclude units with fewer than two responses. Defaults to `TRUE`.}
}
\value{
A data frame with prepared data, including calculated group sizes and weights.
}
\description{
This function prepares a dataset for adjustment by removing missing values, excluding units with insufficient responses, and setting weights.
}
\details{
The function removes missing values for the specified item(s), excludes groups with fewer than two responses if `exclude` is `TRUE`, and sets weights to 1 if not provided.
}
\examples{
\dontrun{
prep_for_adj(data = my_data, item = "y", group = "group_var", id = "id_var")
}

}
